org.apache.tools.ant.taskdefs.optional

## Class XMLValidateTask.ValidatorErrorHandler

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.XMLValidateTask.ValidatorErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

Enclosing class:
  XMLValidateTask

    protected class XMLValidateTask.ValidatorErrorHandler
    extends java.lang.Object
    implements org.xml.sax.ErrorHandler

ValidatorErrorHandler role :

- log SAX parse exceptions,
- remember if an error occurred

### Field Summary

Fields
`protected java.io.File` `currentFile`
`protected boolean` `failed`
`protected java.lang.String` `lastErrorMessage`

### Constructor Summary

Constructors
`protected` `ValidatorErrorHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `error(org.xml.sax.SAXParseException exception)` receive notification of a recoverable error
`void` `fatalError(org.xml.sax.SAXParseException exception)` record a fatal error
`boolean` `getFailure()` did an error happen during last parsing ?
`void` `init(java.io.File file)` initialises the class
`void` `warning(org.xml.sax.SAXParseException exception)` receive notification of a warning

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### currentFile

    protected java.io.File currentFile

#### lastErrorMessage

    protected java.lang.String lastErrorMessage

#### failed

    protected boolean failed

### Constructor Detail

#### ValidatorErrorHandler

    protected ValidatorErrorHandler()

### Method Detail

#### init

    public void init(java.io.File file)

initialises the class

Parameters:
  `file` - file used

#### getFailure

    public boolean getFailure()

did an error happen during last parsing ?

Returns:
  did an error happen during last parsing ?

#### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)

record a fatal error

Specified by:
  `fatalError` in interface `org.xml.sax.ErrorHandler`
Parameters:
  `exception` - the fatal error

#### error

    public void error(org.xml.sax.SAXParseException exception)

receive notification of a recoverable error

Specified by:
  `error` in interface `org.xml.sax.ErrorHandler`
Parameters:
  `exception` - the error

#### warning

    public void warning(org.xml.sax.SAXParseException exception)

receive notification of a warning

Specified by:
  `warning` in interface `org.xml.sax.ErrorHandler`
Parameters:
  `exception` - the warning